Bug 1178930 - python-remoto should run tests during %check
Summary: python-remoto should run tests during %check
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-remoto
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ken Dreyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-05 16:43 UTC by Ken Dreyer
Modified: 2015-04-23 19:03 UTC (History)
2 users (show)

Fixed In Version: python-remoto-0.0.24-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-30 04:33:28 UTC


Attachments (Terms of Use)

Description Ken Dreyer 2015-01-05 16:43:31 UTC
The remoto module has tests, and we should run them during the RPM build (in %check).

The remoto tests are not present in the 0.0.23 tarball that ships from PyPI, but once the tests are available, we should enable them. Upstream pull request to ship the tests in the tarball: https://github.com/alfredodeza/remoto/pull/11

Alternatively, we could grab the tests for 0.0.23 directly from GitHub until that PR ships in a new tagged remoto release.

Comment 1 Ken Dreyer 2015-01-05 17:24:30 UTC
0.0.24 is out, and this version ships the tests in the tarball.

Comment 2 Fedora Update System 2015-01-05 20:54:59 UTC
python-remoto-0.0.24-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-remoto-0.0.24-1.fc21

Comment 3 Fedora Update System 2015-01-05 21:40:01 UTC
python-remoto-0.0.24-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-remoto-0.0.24-1.el7

Comment 4 Fedora Update System 2015-01-06 19:00:04 UTC
Package python-remoto-0.0.24-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-remoto-0.0.24-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-0113/python-remoto-0.0.24-1.el7
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-01-30 04:33:28 UTC
python-remoto-0.0.24-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-04-23 19:03:32 UTC
python-remoto-0.0.24-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.